ACPI(4)

NAME
acpi - Advanced Configuration and Power Interface

SYNOPSIS
acpi0 at bios?

DESCRIPTION
The acpi driver provides basic support for ACPI including loading ACPI tables from the firmware, parsing and interpreting AML code, event handling, suspending and powering off, and attaching device drivers. Userland may access acpi by using the apm(4) device.

The following devices can attach to acpi:

acpiac(4)
    ACPI AC adapter
acpiasus(4)
    ASUS ACPI hotkeys
acpibat(4)
    ACPI control method battery
acpibtn(4)
    ACPI button
acpicpu(4)
    ACPI processor power and performance state
acpidock(4)
    ACPI docking station
acpiec(4)
    ACPI embedded controller
acpihpet(4)
    ACPI high precision event timer
acpimadt(4)
    ACPI APIC configuration
acpiprt(4)
    ACPI PCI routing table configuration
acpipwrres(4)
    ACPI power resources
acpisony(4)
    Sony ACPI control
acpithinkpad(4)
    IBM/Lenovo ThinkPad ACPI support
acpitimer(4)
    ACPI power management timer
acpitoshiba(4)
    Toshiba ACPI support
acpitz(4)
    ACPI thermal zone
acpivideo(4)
    ACPI video
acpivout(4)
    ACPI video output
aibs(4)
    ASUSTeK AI Booster ACPI ATK0110 temperature, voltage, and fan sensor

FILES

/dev/apm
    Power management data device. May only be opened read-only. May be opened by multiple concurrent users.

/dev/apmctl
    Power management control device. May be opened read-write or write-only. May only be opened by one user at a time. An attempt to open the file when in use will fail, returning EBUSY.

SEE ALSO
apm(4), intro(4)

HISTORY
The acpi driver first appeared in OpenBSD 3.8.

AUTHORS
-nosplit The acpi driver was written by Thorsten Lockert <tholo@sigmasoft.com> and Jordan Hargrave <jordan@openbsd.org>.